
/**
 * This file is part of osso-email-engine
 *
 * Copyright (c) 2006 Nokia Corporation.
 * 
 * Contact: Dirk-Jan Binnema <dirk-jan.binnema@nokia.com>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 * 
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef  SCHEDULING_H_
#define  SCHEDULING_H_

#include "utils.h"
#include "dbus_utils.h"

#define SECS_IN_MIN       60
#define MILISEC     1000


/**
  This function is called to initialize  scheduling process.
 
  @return void.
*/
void osso_mgr_schdg_initializescheduler(void);

/**
 This function is used to register the gconf client to the
 scheduling changes.

 @return void.
*/
void osso_mgr_schdg_notify_changes(void);

/**
  This function is called to change scheduling process if any modification
  is made in account management for e.g deletion of all accounts/creation of first new account
  or in scheduling settings through UI.
 
  @return void.
*/
void osso_mgr_schdg_update_scheduling(void);

/**
 This function is used to check whether scheduling is in progress.
 
 @return void
*/
gboolean osso_mgr_schdg_has_task(void);

/**
  This function is used to uninitialise scheduling.
  @return void.
*/
void osso_mgr_schdg_uninit(void);
gboolean osso_mgr_schdg_send_recv(gpointer data);
	
#endif
