
/*
 * Sylpheed -- a GTK+ based, lightweight, and fast e-mail client
 * Copyright (C) 1999-2006 Hiroyuki Yamamoto
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __SEND_MESSAGE_H__
#define __SEND_MESSAGE_H__

#include <glib.h>
#include <stdio.h>

#include "common.h"
#include "smtp.h"
#include "prefs_account.h"
#include "procmsg.h"
#include "session.h"

#define CANCEL 100

gint send_mail(const gchar * message, MsgInfo * msginfo, PrefsAccount * prefs_account);

gint send_save_draft_mail(const gchar * message, MsgInfo * msginfo,
			  const PrefsAccount * prefs_account,
			  gboolean sendDraftMail, gchar * old_id);
gint send_draft_mails(const GSList * items_list);
gint send_resend_mails(const GSList * items_list);
gint send_outbox_mails(const GSList * msgid_list);
gint
send_outbox_mail(const gchar * account,
		 const gchar * msgid,
		 gboolean keepconnalive,
		 gint mailsInOutBoxSent, gint mailsInOutBoxExist, gboolean display_progress);
gint send_cancel_mails(const GSList * items_list);
void send_message_cleanup(void);
gboolean send_editor_open_mail(const gchar * msgid, const gint option);

/**
  This function created the message ID of the draft mail that is to be
  created

  @param MsgInfo - Message information structure
  @param prefs_account - Account preferences
  @return TRUE on success and FALSE on failure
*/
gboolean send_get_msg_id(MsgInfo * msginfo, const PrefsAccount * prefs_account, gboolean send_flag);

#endif				/* __SEND_H__ */
